Skip to main content
GET
/
calls
List calls
curl --request GET \
  --url https://api.crevio.co/v1/calls \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "to_number": "<string>",
      "from_number": "<string>",
      "objective": "<string>",
      "summary": "<string>",
      "transcript": "<string>",
      "recording_url": "<string>",
      "ended_reason": "<string>",
      "duration_seconds": 123,
      "credits_charged": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "customer": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

direction
enum<string>

Filter by direction: inbound or outbound.

Available options:
inbound,
outbound
status
string

Filter by status: queued, ringing, in_progress, ended, failed.

Response

List of calls

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required